Bug 309723 - Editor shortcuts working when terminal has the focus
Summary: Editor shortcuts working when terminal has the focus
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: application (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: HI normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-08 01:11 UTC by Loïc Yhuel
Modified: 2012-11-09 19:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Yhuel 2012-11-08 01:11:26 UTC
I'm trying kate from git master on top of KDE 4.9.3, and I found a regression : when the terminal plugin has the focus, the shortcuts (Ctrl+C, Ctrl+D, ...) still work in the editor, instead of being sent to the terminal.
If the shortcut doesn't do anything in the editor, then it's sent to the terminal (Ctrl+C when no text is selected, Ctrl+D when not in a C/C++ source).

Reproducible: Always

Steps to Reproduce:
1. Select some text in the document
2. Focus terminal
3. Press Ctrl+C
Actual Results:  
Selected text is copied into clipboard

Expected Results:  
Ctrl+C is sent to the terminal
Comment 1 Dominik Haumann 2012-11-08 09:46:28 UTC
It's the same for reverse search (ctrl+r), ctrl+z to suspend a process etc... So indeed not an optimal solution.
Comment 2 Christoph Cullmann 2012-11-09 19:44:30 UTC
Git commit c0df718eb49f1b988067c656200bc74f5fa5b725 by Christoph Cullmann.
Committed on 09/11/2012 at 20:43.
Pushed by cullmann into branch 'master'.

let console eat shortcuts again
we can't senseful match against QKeySequences of the terminal plugin actions
Related: bug 157523

M  +3    -3    kate/plugins/konsole/kateconsole.cpp
M  +3    -3    kate/plugins/project/kateprojectinfoviewterminal.cpp

http://commits.kde.org/kate/c0df718eb49f1b988067c656200bc74f5fa5b725